package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetBusinessForm;
import com.ruoyi.tc.mapper.AssetBusinessFormMapper;
import com.ruoyi.tc.service.AssetBusinessFormService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资产新监管业务形态(AssetBusinessForm)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:06:53
 */
@Service("assetBusinessFormService")
public class AssetBusinessFormServiceImpl extends ServiceImpl<AssetBusinessFormMapper, AssetBusinessForm> implements AssetBusinessFormService {

    /**
     * 逻辑删除
     */
    @Override
    public void deleteByAssetIds(Long id) {
        baseMapper.deleteByAssetIds(id);
    }

    @Override
    public void deleteIdList(List<Long> idList) {
        baseMapper.deleteIdList(idList);
    }
}

